<?php // $Id: pAeromodelistas.php,v 1.1 2005/05/26 16:40:19 fpam Exp fpam $
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>


<center>
<h3 class="maketitle">Provers/Drawers Authors, Insert/Update</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT authorId,name
          FROM authors
      ORDER BY authorId";
$resultado = mysql_query($sql,$ligacao);


// O números de campos obtidos
$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>$nlinhas Provers/Drawers Authors</h4>";
echo "</center>";


print "<p>&nbsp;</p>";
print "<center>";
print "<table border=1>\n";
print "<tr>\n";
print "<th> Name </th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th>";
print "</tr>\n\n";
while ($linha = mysql_fetch_assoc($resultado)){
  print "<tr>\n";
  $pName=trim($linha['name']);
  $pAuthorId=trim($linha['authorId']);
  print " <td align=center>$pName</td>\n"; 
  print " <td>&nbsp;</td>\n";
  print " <td><a href=seedetailsAuthors.php?argumento=$pAuthorId>See details</a></td>\n";
  print " <td><a href=updateAuthor.php?argumento=$pAuthorId>update</a></td>\n";
  print"</tr>\n\n";
 }
print "<tr>\n";
print " <td colspan=5 align=center><a href=insertAuthor.php>Insert a new Prover/Drawer Author</a></td>\n";
print "</tr>\n\n";
print "</table>\n";
print "</center>";
print "<p>&nbsp;</p>";
?>




<?php
  require('footer.inc');
?>
